core::TLSServer Class Reference

`#include <TLSServer.h>`

Inheritance diagram for core::TLSServer:
[legend]
Collaboration diagram for core::TLSServer:
[legend]

## Public Member Functions

| TLSServer (EPoll &ePoll, IPAddress address)
| ~TLSServer ()
TCPSession * | getSocketAccept ()
Public Member Functions inherited from core::TCPServer
| TCPServer (EPoll &ePoll, IPAddress address, std::string text="")
| ~TCPServer ()
void | removeFromSessionList (TCPSession *session)
virtual void | sessionErrorHandler (std::string errorString, std::stringstream &out)
virtual TCPSession * | getSocketAccept (EPoll &epoll)
void | output (TCPSession *session)
| Output the consoles array to the console. More...
Public Member Functions inherited from core::TCPSocket
| TCPSocket (EPoll &ePoll)
| TCPSocket (EPoll &ePoll, std::string text)
| ~TCPSocket ()
void | connect (IPAddress &address)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll, std::string text="")
| ~Socket ()
void | shutdown (std::string text="unknown")
void | setDescriptor (int descriptor)
| Set the descriptor for the socket. More...
int | getDescriptor ()
| Get the descriptor for the socket. More...
bool | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
int | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegister ()
| Called before the socket has registered with the epoll processing. More...
virtual void | onRegistered ()
| Called after the socket has been registered with epoll processing. More...
virtual void | onUnregister ()
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
bool | needsToWrite ()
Public Member Functions inherited from core::Command
virtual bool | check (std::string request)
virtual void | output (Session *session)
void | setName (std::string name)
std::string | getName ()

## Public Attributes

SSL_CTX * | ctx
Public Attributes inherited from core::TCPServer
IPAddressList * | blackList
IPAddressList * | whiteList
std::vector< TCPSession * > | sessions
CommandList | commands
Public Attributes inherited from core::TCPSocket
IPAddress | ipAddress
Public Attributes inherited from core::Socket
bool | reset = false
Public Attributes inherited from core::Object
std::string | name
std::string | tag

## Additional Inherited Members

Protected Member Functions inherited from core::TCPServer
void | onDataReceived (std::string data) override
int | processCommand (std::string command, TCPSession *session, std::stringstream &data) override
Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
int | getBufferSize ()
virtual void | onDataReceived (char *buffer, int len)
virtual void | receiveData (char *buffer, int bufferLength)
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

## Detailed Description

TLSServer

Manage a socket connection as a TLS server type. Connections to the socket are processed through the accept functionality.

## Constructor & Destructor Documentation

## TLSServer()

core::TLSServer::TLSServer | ( | EPoll & | ePoll,
|  | IPAddress | address
| ) |  |

The constructor.

Parameters

  ePoll | the BMAEPoll instance that manages the socket.
  url | the IP address for the socket to receive connection requests.
  port | the port number that the socket will listen on.
  commandName | the name of the command used to invoke the status display for this object.

Returns
  the instance of the BMATLSServerSocket.

## ~TLSServer()

core::TLSServer::~TLSServer | ( |  | ) |

The destructor for this object.

## Member Function Documentation

## getSocketAccept()

TCPSession * core::TLSServer::getSocketAccept | ( |  | ) |

## Member Data Documentation

## ctx

SSL_CTX* core::TLSServer::ctx

The documentation for this class was generated from the following files:

- TLSServer.h
- TLSServer.cpp